##############################################################
## MOD Title: phpBB Jabber Support (XMPP URI)
## MOD Author: ptlis <ptlis@ptlis.com> (Brian Ridley) http://www.ptlis.com
## MOD Description: Modifies the phpBB Jabber Support mod to use the XMPP URI
## MOD Version: 1.0.0
##
## Installation Level: (Beginner)
## Installation Time: 2 Minutes
## Files To Edit: includes/usercp_viewprofile.php 
##                viewtopic.php 
##############################################################
## For Security Purposes, Please Check: http://www.phpbb.com/mods/ for the
## latest version of this MOD. Downloading this MOD from other sites could cause malicious code
## to enter into your phpBB Forum. As such, phpBB will not offer support for MOD's not offered
## in our MOD-Database, located at: http://www.phpbb.com/mods/
##############################################################
## Author Notes:
##
##     As with the phpBB Jabber MOD, this has been tested with phpBB 2.0.10 -
##     2.0.17 only, although I would imagine it should install sucessfully on
##     previous and/or future revisions of the 2.0.xx release.
##
##     This modification is Free software; you can redistribute it and/or
##     modify it under the terms of the GNU General Public License as published
##     by the Free Software Foundation; either version 2 of the License, or (at
##     your option) any later version.
##
##     http://www.fsf.org/licensing/licenses/gpl.html
##############################################################
## MOD History:
##
##   2005-08-23 - Version 1.0.0
##      - Initial addition of this mod to the /contrib/ section of the phpBB
##            Jabber MOD
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################
#
#-----[ OPEN ]------------------------------------------------
#
includes/usercp_viewprofile.php
#
#-----[ FIND ]------------------------------------------------
#
$jabber_img = ( $profiledata['user_jabber'] ) ? $profiledata['user_jabber'] : ' ';
#
#-----[ REPLACE WITH ]----------------------------------------
#
$jabber_img = ( $profiledata['user_jabber'] ) ? '<a href="xmpp:' . $profiledata['user_jabber'] . '"><img src="' . $images['icon_jabber'] . '" alt="' . $lang['JABBER'] . '" title="' . $lang['JABBER'] . '" border="0" /></a>' : ' ';
#
#-----[ OPEN ]------------------------------------------------
#
viewtopic.php
#
#-----[ FIND ]------------------------------------------------
#
$jabber_img = ( $postrow[$i]['user_jabber'] ) ? '<a href="' . $temp_url . '"><img src="' . $images['icon_jabber'] . '" alt="' . $lang['JABBER'] . '" title="' . $lang['JABBER'] . '" border="0" /></a>' : '';
#
#-----[ REPLACE WITH ]----------------------------------------
#
$jabber_img = ( $postrow[$i]['user_jabber'] ) ? '<a href="xmpp:' . $postrow[$i]['user_jabber'] . '"><img src="' . $images['icon_jabber'] . '" alt="' . $lang['JABBER'] . '" title="' . $lang['JABBER'] . '" border="0" /></a>' : '';
#
#-----[ SAVE/CLOSE ALL FILES ]--------------------------------
#
# EoM